#!/bin/bash
#
# Run this by make a new icon file that is at least as large as the largest size below.
#
# ```
# cd <path to app-icon.bundle>
# ./app-icon-resizer.sh <path to large icon file> <IconName>
# ```
#
# <IconName> is the same value used by DDCWebAppData for the iconImageNamed parameter
#
# E.g.
#
# ```
# cd ~/development/woolshed/uber/iphone-native/Drugs.com/Drugs.com/Resources/app-icons.bundle
# ./app-icon-resizer.sh ~/Downloads/icon-price-guide.png PriceGuide
# ```
#
# Which outputs images PriceGuide-ipad@2x.png, PriceGuide-ipad@.png, PriceGuide-iphone@2x.png, PriceGuide-iphone.png 

f=$(pwd)

sips --resampleWidth 210 "${1}" --out "${f}/${2}-ipad@2x.png"
sips --resampleWidth 105 "${1}" --out "${f}/${2}-ipad.png"
sips --resampleWidth 114 "${1}" --out "${f}/${2}-iphone@2x.png"
sips --resampleWidth 57 "${1}" --out "${f}/${2}-iphone.png"
